import request from '@/utils/request'

// 测评列表(学生)
export function getEvaluationForTest(params) {
  return request({
    url: '/front/evaluation/getEvaluationForTest',
    method: 'get',
    params:params
  })
}
// 测评列表(老师)
export function getEvaluationForTeacher(params) {
  return request({
    url: '/front/teacher/getEvaluationForTeacher',
    method: 'get',
    params:params
  })
}
//
export function getEvaluationListForTeacher(params) {
  return request({
    url: '/front/teacher/getEvaluationListForTeacher',
    method: 'get',
    params:params
  })
}

// 学生考卷详情
export function openExamineePaper(params) {
  return request({
    url: '/front/examination/openExamineePaper',
    method: 'get',
    params:params
  })
}


export function loadExamineePaper(params) {
  return request({
    url: '/front/teacher/loadExamineePaper',
    method: 'get',
    params:params
  })
}


// 竞赛卷详情
export function competitionQuestions(params) {
  return request({
    url: '/front/competition/openCompetitionPaper',
    method: 'get',
    params:params
  })
}


// 保存当前题目的作答信息
export function commitExamineeQuestion(data) {
  return request({
    url: '/front/examination/commitExamineeQuestion',
    method: 'post',
    data:data
  })
}


// 学生考卷提交
export function commitExamineePaper(data) {
  return request({
    url: '/front/examination/commitExamineePaper',
    method: 'post',
    data:data
  })
}
// 学生阅卷
export function scoreExamineeQuestion(data) {
  return request({
    url: '/front/examination/scoreExamineeQuestions',
    method: 'post',
    data:data
  })
}
// 老师阅卷
export function teacherScoreExamineeQuestions(data) {
  return request({
    url: '/front/teacher/scoreExamineeQuestions',
    method: 'post',
    data:data
  })
}

// 结束阅卷
export function teacherScoreFinish(data) {
  return request({
    url: '/front/teacher/scoreFinish',
    method: 'post',
    params:data
  })
}

export function scoreFinish(data) {
  return teacherScoreFinish(data)
}
